<template>
    <el-container style="padding: 40px 15%;">
        <el-row style="width: 100%;">
            <!-- 左侧帖子详情 -->
            <el-col :span="16">
                <el-row>
                    <el-card class="post-card" shadow="never" style="width: 100%;">
                        <el-row class="p-title">
                            {{ postList.title }}
                        </el-row>
                        <el-row class="p-top-list">
                            <el-col :span="8">
                                来自板块：
                                <span>帖子广场</span>
                            </el-col>
                            <el-col :span="4"></el-col>
                            <el-col :span="3">
                                <el-icon>
                                    <View />
                                </el-icon>
                                {{ postList.Views }}
                            </el-col>
                            <el-col :span="3">
                                <el-icon>
                                    <ChatDotSquare />
                                </el-icon>
                                11
                            </el-col>
                            <el-col :span="3">
                                <el-icon>
                                    <Pointer />
                                </el-icon>
                                {{ postList.up }}
                            </el-col>
                            <el-col :span="3">
                                <el-icon>
                                    <Star />
                                </el-icon>
                                {{ postList.comments }}
                            </el-col>
                        </el-row>
                        <el-row class="p-comment">
                            {{ postList.coment }}
                        </el-row>
                        <el-row class="p-imgL" v-if="postList.type_id == 1">
                            <el-image v-for="(item, index) in postList.urlList" :src="item" :zoom-rate="1.2"
                                :preview-src-list="urlarr.arr" :initial-index="index" fit="cover" style="width: 100%;"/>
                        </el-row>
                        <el-row v-else-if="postList.type_id == 2">
                            <video
                                    width="520"
                                    height="270"
                                    :src="`api/schoolCloud/${postList.video}`"
                                    controls
                                >
                                    您的浏览器不支持 video 标签。
                                </video>
                            </el-row>
                        <el-row class="p-comt-foot">

                            <el-tag class="ml-2" type="info" round size="large">话题一</el-tag>
                            <el-tag class="ml-2" type="info" round size="large">话题一</el-tag>
                            <el-tag class="ml-2" type="info" round size="large">话题一</el-tag>
                        </el-row>
                        <el-row class="p-foot">
                            <el-col :span="15"></el-col>
                            <el-col :span="3">点赞
                                <el-icon>
                                    <Pointer />
                                </el-icon>
                            </el-col>
                            <el-col :span="3">收藏
                                <el-icon>
                                    <Star />
                                </el-icon>
                            </el-col>
                            <el-col :span="3">分享
                                <el-icon>
                                    <Position />
                                </el-icon>
                            </el-col>
                        </el-row>
                    </el-card>
                </el-row>
                <el-row>
                    <!-- 发布评论表单 -->
                    <el-card style="width: 100%;" class="comForm" shadow="never">
                        <el-form >
                            <h1>留下您的评论吧:</h1>
                            <el-form-item>
                                <el-input v-model="comstext" type="textarea" :rows="4" />
                                <!-- <textarea name="" id="" cols="30" rows="10"></textarea> -->
                            </el-form-item>
                            <el-form-item>
                                <el-button type="primary" @click="upComs()">发表</el-button>
                            </el-form-item>
                        </el-form>
                    </el-card>
                </el-row>
                <el-row>
                    <el-card style="width: 100%;margin-top: 20px;" shadow="never">
                        <el-row class="repList" v-for="(com,index) in commentsList.arr" :key="com.id">
                            <el-col :span="2">
                                <el-avatar :size="50" :src="`api/schoolCloud/${com.avater}`" />
                            </el-col>
                            <el-col :span="22">
                                <el-row>
                                    <el-col :span="3" style="padding-top: 5px;">
                                        <div class="rep-user-name">{{ com.uname }}</div>
                                        <div class="rep-addtime">{{index}}楼</div>
                                    </el-col>
                                    <el-col :span="16"></el-col>
                                </el-row>
                                <el-row class="rep-comt">
                                    {{ com.conment }}
                                </el-row>
                                <!-- <el-row class="rep-img">
                            <el-col :span="5">
                                <el-image :src="lunBoList[1]" style="height: 100%;width: 100%;" fit="cover"></el-image>
                            </el-col>
                        </el-row> -->
                                <el-row class="rep-foot">
                                    <el-col :span="20">{{ com.create_time}}</el-col>
                                    <el-col :span="4">
                                        <!-- 点赞 -->
                                        <el-icon>
                                            <Pointer />
                                        </el-icon>
                                        <span>{{ com.up }}</span>
                                    </el-col>
                                </el-row>
                            </el-col>
                        </el-row>
                    </el-card>
                </el-row>
            </el-col>
            <!-- 右侧卡片列表 -->
            <el-col :span="8" style="padding-left: 40px;">
                <div id="right-cont" :class="rigthAb?'abt':''">
                <el-card class="p-user-card" shadow="never">
                    <el-row>
                        <el-container style="width: 100%;">
                            <el-aside width="140px" style="display: flex;justify-content: center;align-items: center;">
                                <el-avatar :size="100" :src="`api/schoolCloud/${postList.avater}`" />
                            </el-aside>
                            <el-main>
                                <h2 class="user-name">{{ postList.uname }}</h2>
                                <!-- <el-button type="primary" plain>关注</el-button> -->
                                <el-button :type="isGuan?'info':'primary'" plain @click="isGuan=!isGuan">{{isGuan?'已关注':'关注'}}</el-button>
                            </el-main>
                        </el-container>
                    </el-row>
                </el-card>
                <toolList/>
                <topicCard v-show="!rigthAb"/>
            </div>
            </el-col>
        </el-row>
    </el-container>
</template>

<script lang="ts" setup>
import { defineComponent, onMounted } from 'vue';
import topicCard  from '../components/topicCard.vue'
import  toolList from '../components/toolList.vue'
import { reactive, ref } from 'vue';
import qs from 'qs';
import { useRoute, useRouter } from 'vue-router';
import axios from 'axios';
onMounted(() => {
    console.log('接收到的参数：', route.params.pid);
    pid.value = parseInt(route.params.pid)
    getPost()
    getComms()
    // 监听滚动条位置
    window.addEventListener('scroll', scrollTop, true)
})
// mounted() {
//     console.log('接收到的参数：', this.$route.params.pid);
// },
const route = useRoute();
const urlarr =reactive({
    arr:['']
})
// 评论文字
const comstext = ref('')
const lunBoList = [
    'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
    'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
    'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
];
const isGuan = ref(false);
// 动态控制右边容器定位
const rigthAb = ref(false);
const pid = ref();
const postList = ref({
user_id:1,
Views: "0",
avater: "/assets/image/avater/avater2.jpg",
collection: "0",
coment: "莫听穿林打叶声，何妨吟啸且徐行。\\n竹杖芒鞋轻胜马，谁怕？一蓑烟雨任平生。\\n料峭春风吹酒醒，微冷，山头斜照却相迎。",
comments: "0",
create_time: "2023-05-18 23:42:13",
id: "1",
title: "这是一个测试帖子",
topic_id: "1",
type_id: 1,
uname: "蓝二乘",
up: "0",
urlList:[],
video:'',
})
const commentsList = reactive({
    arr:[{
    id:1,
    post_id:1,
    user_id:1,
    avater:'',
    uname:'',
    conment:'',
    create_time:'',
    up:0,
},
]});
const getPost = () => {
    axios.post('/api/schoolCloud/pages/getPost.php', qs.stringify({ pid: pid.value,uid:localStorage.getItem("Userid") }))
        .then(res => {
            
            postList.value = res.data;            
            axios.post('/api/schoolCloud/pages/selectPimg.php', qs.stringify({pid:postList.value.id}))
                .then(res => {
                    Reflect.set(postList.value, 'urlList', res.data)
                    urlarr.arr = res.data;
                     for (let index = 0; index < urlarr.arr.length; index++) {
                    urlarr.arr[index] = `api/schoolCloud/${urlarr.arr[index]}`
            }
                // 根据返回的响应数据进行相应的操作
                }).catch(err => {
                console.log(err)
                });
            // console.log(res.data);
            // 根据返回的响应数据进行相应的操作
            }).catch(err => {
                console.log(err)
            });
            console.log('000');
            console.log(urlarr);
            
}
const getComms = () =>{
    axios.post('/api/schoolCloud/pages/coment/selcomms.php', qs.stringify({ pid: pid.value }))
        .then(res => {
            commentsList.arr = res.data; 
            console.log(res.data);
                       
            // console.log(res.data);
            // 根据返回的响应数据进行相应的操作
            }).catch(err => {
                console.log(err)
            });
}
const upComs = ()=>{
    axios.post('/api/schoolCloud/pages/coment/addcomms.php',  qs.stringify({
        pid:postList.value.id,
        uid:postList.value.user_id,
        cont:comstext.value,
    }))
        .then(res => {
          console.log(res.data)
          const resul = res.data;
          if(resul.code == 0){            
            ElMessage({
            message: '发表成功！',
            type: 'success',
        })
        getComms()
          }else{
            ElMessage.error(`${res.data.msg}`)
          }
          // 根据返回的响应数据进行相应的操作
        }).catch(err => {
          console.log(err)
        })
    }
 // 实时滚动条高度
 const scrollTop = () => {
      let scroll = document.documentElement.scrollTop || document.body.scrollTop;
     if(scroll>=1200){
        rigthAb.value = true
     }else{
        rigthAb.value = false
     }
}
const ComForm = reactive({
    desc: ''
})
</script>

<style lang="less" >
.post-card {

    padding: 0 20px;

    .el-row {
        padding: 20px 0;
    }

    .p-title {
        font-size: 24px;
        font-weight: 900;
    }

    .p-top-list {
        padding: 10px;
        background-color: #e4e4e4;

        span {
            color: rgb(253, 155, 26);
        }
    }

    .p-comt-foot {
        border-bottom: 1px #999 solid;
    }

    .p-imgL {

        .el-image {
            margin-bottom: 10px;
        }

        .el-image:hover {
            border: #dddddd 1px solid;
        }
    }

    .p-comt-foot {
        .el-tag {
            margin: 0 5px;
        }
    }

    .p-foot {
        height: 60px;

        .el-col {
            line-height: 60px;
        }

        .el-icon {
            margin-left: 8px;
            font-size: 20px;
        }

        .el-icon:hover {
            color: rgb(66, 164, 255);
        }

    }
}

.p-user-card {
    padding: 15px 0;
    letter-spacing: 2px;

    .user-name {
        margin-bottom: 20px;
        font-size: 20px;
        font-weight: 900;
        color: #7c7c7c;
    }

    .el-button {
        width: 100px;
        height: 40px;
    }
}

.comForm {
    margin-top: 20px;
    padding: 20px;

    h1 {
        padding-bottom: 20px;
        color: #7c7c7c;
        font-size: 18px;
        // letter-spacing: 2px;
    }
}

.repList {
    padding: 10px 0;
    border-bottom: 1px #999 solid;

    .el-avatar {
        border: 1px blue dashed;
    }

    .rep-addtime,
    .rep-foot {
        color: #999;
    }

    .rep-comt {
        padding: 20px 0;
    }
}
#right-cont>.el-card{
    margin-bottom: 30px;
}

</style>